Changeset 1715 in vbox for trunk/src/VBox/Additions
- Timestamp:
- Mar 27, 2007 9:13:18 AM (18 years ago)
- Location:
- trunk/src/VBox/Additions/linux/installer
- Files:
-
- 3 edited
Legend:
- Unmodified
- Added
- Removed
-
trunk/src/VBox/Additions/linux/installer/vboxadd-timesync.sh
r495 r1715 43 43 fi 44 44 45 if [ "$system" = redhat]; then45 if [ "$system" = "redhat" ]; then 46 46 . /etc/init.d/functions 47 47 fail_msg() { … … 56 56 fi 57 57 58 if [ "$system" = suse]; then58 if [ "$system" = "suse" ]; then 59 59 . /etc/rc.status 60 60 daemon() { … … 73 73 fi 74 74 75 if [ "$system" = debian]; then75 if [ "$system" = "debian" ]; then 76 76 daemon() { 77 77 start-stop-daemon --start --exec $1 -- $2 … … 91 91 fi 92 92 93 if [ "$system" = gentoo]; then93 if [ "$system" = "gentoo" ]; then 94 94 . /sbin/functions.sh 95 95 daemon() { … … 114 114 fi 115 115 116 if [ "$system" = slackware]; then116 if [ "$system" = "slackware" ]; then 117 117 fail_msg() { 118 118 echo " ...fail!" … … 124 124 125 125 begin() { 126 echo -n $1126 echo -n "$1" 127 127 } 128 128 fi … … 141 141 start() { 142 142 if ! test -f $PIDFILE; then 143 echo -n "Starting VirtualBox host to guest time synchronisation ";143 echo -n "Starting VirtualBox host to guest time synchronisation "; 144 144 vboxaddrunning || { 145 145 echo "VirtualBox Additions module not loaded!" … … 156 156 stop() { 157 157 if test -f $PIDFILE; then 158 echo -n "Stopping VirtualBox host to guest time synchronisation ";158 echo -n "Stopping VirtualBox host to guest time synchronisation "; 159 159 vboxaddrunning || { 160 160 echo "VirtualBox Additions module not loaded!" -
trunk/src/VBox/Additions/linux/installer/vboxadd.sh
r1520 r1715 51 51 52 52 begin() { 53 echo -n $153 echo -n "$1" 54 54 } 55 55 fi … … 68 68 69 69 begin() { 70 echo -n $170 echo -n "$1" 71 71 } 72 72 fi … … 118 118 } 119 119 fi 120 120 121 121 kdir=/lib/modules/`uname -r`/misc 122 122 dev=/dev/vboxadd … … 157 157 } 158 158 159 sleep 1159 sleep .5 160 160 } 161 161 if [ ! -c $dev ]; then -
trunk/src/VBox/Additions/linux/installer/vboxvfs.sh
r1520 r1715 38 38 fi 39 39 40 if [ "$system" = redhat]; then40 if [ "$system" = "redhat" ]; then 41 41 . /etc/init.d/functions 42 42 fail_msg() { … … 51 51 52 52 begin() { 53 echo -n $154 } 55 fi 56 57 if [ "$system" = suse]; then53 echo -n "$1" 54 } 55 fi 56 57 if [ "$system" = "suse" ]; then 58 58 . /etc/rc.status 59 59 fail_msg() { … … 68 68 69 69 begin() { 70 echo -n "$1" 71 } 72 fi 73 74 if [ "$system" = "debian" ]; then 75 fail_msg() { 76 echo " ...fail!" 77 } 78 79 succ_msg() { 80 echo " ...done." 81 } 82 83 begin() { 70 84 echo -n $1 71 85 } 72 86 fi 73 87 74 if [ "$system" = debian ]; then 75 fail_msg() { 76 echo " ...fail!" 77 } 78 79 succ_msg() { 80 echo " ...done." 81 } 82 83 begin() { 84 echo -n $1 85 } 86 fi 87 88 if [ "$system" = gentoo ]; then 88 if [ "$system" = "gentoo" ]; then 89 89 . /sbin/functions.sh 90 90 fail_msg() { … … 105 105 fi 106 106 107 if [ "$system" = slackware]; then107 if [ "$system" = "slackware" ]; then 108 108 fail_msg() { 109 109 echo " ...fail!" … … 128 128 129 129 fail() { 130 if [ "$system" = gentoo]; then130 if [ "$system" = "gentoo" ]; then 131 131 eerror $1 132 132 exit 1 … … 146 146 147 147 start() { 148 begin "Starting VirtualBox Additions shared folder support ";148 begin "Starting VirtualBox Additions shared folder support "; 149 149 running || { 150 150 modprobe $modname > /dev/null 2>&1 || { … … 163 163 164 164 stop() { 165 begin "Stopping VirtualBox Additions shared folder support ";165 begin "Stopping VirtualBox Additions shared folder support "; 166 166 if running; then 167 167 rmmod $modname || fail "Cannot unload module $modname"
Note:
See TracChangeset
for help on using the changeset viewer.